discuss-gnustep
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Building with GNUstep make on Panther/Tiger


From: Sherm Pendley
Subject: Re: Building with GNUstep make on Panther/Tiger
Date: Wed, 15 Jun 2005 16:03:04 -0400
User-agent: Gnus/5.1007 (Gnus v5.10.7) XEmacs/21.4.17 (Jumbo Shrimp, linux)

Andreas Höschler <address@hidden> writes:

> Hi Peter,
>
>> In addition, in most cases, things built on 10.4 will also run on
>> OLDER OS versions
>
> What exactly means "most cases" except the obvious API extension
> reason?

Code built with GCC 4.0 needs >= 10.3.9 to run. That's not a huge problem
though, because Apple includes GCC 3.3 as well, and apps built with that
work with OS versions as old as anyone still cares about.

> Why does code built one Jaguar not work on Tiger properly then?

Ordinary Cocoa/Objective-C code should work fine. C++/Objective-C++ code
might have problems because of the ABI changes.

sherm--


reply via email to

[Prev in Thread] Current Thread [Next in Thread]